org.apache.sling.maven.slingstart

## Class BuildConstants

- java.lang.Object
- - org.apache.sling.maven.slingstart.BuildConstants

    public abstract class BuildConstants
    extends Object

### Field Summary

Fields
`static String` `ATTR_BUILT_BY`
`static String` `ATTR_CREATED_BY`
`static String` `ATTR_IMPLEMENTATION_BUILD`
`static String` `ATTR_IMPLEMENTATION_TITLE`
`static String` `ATTR_IMPLEMENTATION_VENDOR`
`static String` `ATTR_IMPLEMENTATION_VENDOR_ID`
`static String` `ATTR_IMPLEMENTATION_VERSION`
`static String` `ATTR_MAIN_CLASS`
`static String` `ATTR_SPECIFICATION_TITLE`
`static String` `ATTR_SPECIFICATION_VENDOR`
`static String` `ATTR_SPECIFICATION_VERSION`
`static String` `ATTR_VALUE_MAIN_CLASS`
`static List<String>` `ATTRS_EXCLUDES`
`static String` `CLASSIFIER_APP`
`static String` `CLASSIFIER_BASE`
`static String` `CLASSIFIER_MAR`
`static String` `CLASSIFIER_PARTIAL_SYSTEM`
`static String` `CLASSIFIER_WEBAPP`
`static String` `CONTEXT_GLOBAL`
`static String` `CONTEXT_STANDALONE`
`static String` `CONTEXT_WEBAPP`
`static String` `MODEL_ARTIFACT_NAME`
`static String` `PACKAGING_PARTIAL_SYSTEM`
`static String` `PACKAGING_SLINGSTART`
`static String` `TYPE_JAR`
`static String` `TYPE_POM`
`static String` `TYPE_TXT`
`static String` `TYPE_WAR`
`static String` `WEBAPP_OUTDIR`

### Constructor Summary

Constructors
Constructor and Description
`BuildConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTEXT_GLOBAL

    public static final String CONTEXT_GLOBAL

See Also:
  Constant Field Values

#### CONTEXT_STANDALONE

    public static final String CONTEXT_STANDALONE

See Also:
  Constant Field Values

#### CONTEXT_WEBAPP

    public static final String CONTEXT_WEBAPP

See Also:
  Constant Field Values

#### MODEL_ARTIFACT_NAME

    public static final String MODEL_ARTIFACT_NAME

See Also:
  Constant Field Values

#### TYPE_JAR

    public static final String TYPE_JAR

See Also:
  Constant Field Values

#### TYPE_WAR

    public static final String TYPE_WAR

See Also:
  Constant Field Values

#### TYPE_POM

    public static final String TYPE_POM

See Also:
  Constant Field Values

#### TYPE_TXT

    public static final String TYPE_TXT

See Also:
  Constant Field Values

#### PACKAGING_PARTIAL_SYSTEM

    public static final String PACKAGING_PARTIAL_SYSTEM

See Also:
  Constant Field Values

#### PACKAGING_SLINGSTART

    public static final String PACKAGING_SLINGSTART

See Also:
  Constant Field Values

#### CLASSIFIER_PARTIAL_SYSTEM

    public static final String CLASSIFIER_PARTIAL_SYSTEM

See Also:
  Constant Field Values

#### CLASSIFIER_BASE

    public static final String CLASSIFIER_BASE

See Also:
  Constant Field Values

#### CLASSIFIER_APP

    public static final String CLASSIFIER_APP

See Also:
  Constant Field Values

#### CLASSIFIER_WEBAPP

    public static final String CLASSIFIER_WEBAPP

See Also:
  Constant Field Values

#### CLASSIFIER_MAR

    public static final String CLASSIFIER_MAR

See Also:
  Constant Field Values

#### ATTR_BUILT_BY

    public static final String ATTR_BUILT_BY

See Also:
  Constant Field Values

#### ATTR_CREATED_BY

    public static final String ATTR_CREATED_BY

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_VERSION

    public static final String ATTR_IMPLEMENTATION_VERSION

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_VENDOR

    public static final String ATTR_IMPLEMENTATION_VENDOR

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_BUILD

    public static final String ATTR_IMPLEMENTATION_BUILD

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_VENDOR_ID

    public static final String ATTR_IMPLEMENTATION_VENDOR_ID

See Also:
  Constant Field Values

#### ATTR_IMPLEMENTATION_TITLE

    public static final String ATTR_IMPLEMENTATION_TITLE

See Also:
  Constant Field Values

#### ATTR_SPECIFICATION_TITLE

    public static final String ATTR_SPECIFICATION_TITLE

See Also:
  Constant Field Values

#### ATTR_SPECIFICATION_VENDOR

    public static final String ATTR_SPECIFICATION_VENDOR

See Also:
  Constant Field Values

#### ATTR_SPECIFICATION_VERSION

    public static final String ATTR_SPECIFICATION_VERSION

See Also:
  Constant Field Values

#### ATTR_MAIN_CLASS

    public static final String ATTR_MAIN_CLASS

See Also:
  Constant Field Values

#### ATTR_VALUE_MAIN_CLASS

    public static final String ATTR_VALUE_MAIN_CLASS

See Also:
  Constant Field Values

#### ATTRS_EXCLUDES

    public static final List<String> ATTRS_EXCLUDES

#### WEBAPP_OUTDIR

    public static final String WEBAPP_OUTDIR

See Also:
  Constant Field Values

### Constructor Detail

#### BuildConstants

    public BuildConstants()